Subject: Re: [bug#32984] [PATCH] gnu: filtlong: update path in aux script.

From: mpatras <[email-masked]>
Date: Mon, 5 Nov 2018 17:26:12 +0100

Hello Leo,

I am sorry for this delayed response!

In the initial version of this description, I have put the auxiliary 
scripts in /scripts/.

I didn't know that all auxiliary scripts should be put in 
/share/name_of_package/scripts.

The script loads the package using a relative path.

Ludo corrected my description and changed my substitute lines to this,

-                 (wrap-program (string-append out "/scripts/histogram.py")
+                 (wrap-program (string-append out
+                                              "/share/filtlong/scripts/histogram.py")

Now the script is on the right place 
(/share/filtlong/scripts/histogram.py), but it does not contain the 
right relative path. So, this patch is needed to correct the relative path.

+               (substitute* "scripts/read_info_histograms.sh"
+                (("/../") "/../../../"))

Sorry, from the beginning was my mistake!
On 11.10.2018 22:55, Leo Famulari wrote:
> On Tue, Oct 09, 2018 at 06:22:39PM +0200, pimi wrote:
>> * gnu/packages/bioinformatics.scm (filtlong)[extra scritps]: corrected
>> the loading path for the filtlong in the script read_info_histograms.sh.
> [...]
>
>>                (lambda _
>>                  (substitute* "scripts/read_info_histograms.sh"
>>                    (("awk") (which "gawk")))
>> +               (substitute* "scripts/read_info_histograms.sh"
>> +                (("/../") "/../../../"))
>>                  #t)))))
> Can you add a code comment explaining the effect of this change? It's
> rather cryptic! :)

-- 
All the best!

Mădălin Ionel Patrașcu

System Administrator
The Berlin Institute for Medical Systems Biology (BIMSB)
Max Delbrück Center (MDC)
Robert-Rössle-Straße 10
House 87, room 1.10
13125 Berlin, Germany